//using DslModeling = global::Microsoft.VisualStudio.Modeling;
//using DslDiagrams = global::Microsoft.VisualStudio.Modeling.Diagrams;

namespace ImTryin.StateMachineLanguage
{
    public partial class Transition
    {
        private string GetNotationValue()
        {
            string trigger = string.Empty;
            foreach (char ch in Trigger)
            {
                if (((ch >= 'a') && (ch <= 'z')) || ((ch >= 'A') && (ch <= 'Z')) || ((ch >= '0') && (ch <= '9')) || (ch == '_'))
                    trigger += ch;
                else
                    break;
            }
            string guard = (Guard.Length > 0) ? " [ " + Guard + " ]" : "";
            string activity = (Activity.Length > 0) ? "/ " + Activity : "";
            return trigger + guard + activity;
        }

        private void SetNotationValue( string newValue )
        {
        }
    }

    //[DslModeling::RuleOn(typeof(global::ImTryin.StateMachineLanguage.Transition))]
    //internal sealed class NotationPropertyChanged : DslModeling::ChangeRule
    //{
    //    public override void ElementPropertyChanged(DslModeling::ElementPropertyChangedEventArgs e)
    //    {
    //        if (e == null) throw new global::System.ArgumentNullException("e");

    //        if ((e.DomainProperty.Id == global::ImTryin.StateMachineLanguage.Transition.TriggerDomainPropertyId) ||
    //            (e.DomainProperty.Id == global::ImTryin.StateMachineLanguage.Transition.GuardDomainPropertyId) ||
    //            (e.DomainProperty.Id == global::ImTryin.StateMachineLanguage.Transition.ActivityDomainPropertyId))
    //        {
    //            DslDiagrams::Decorator decorator = global::ImTryin.StateMachineLanguage.TransitionConnector.FindTransitionConnectorDecorator("NotationDecorator");
    //            if (decorator != null)
    //            {
    //                decorator.UpdateDecoratorHostShapes(e.ModelElement, global::ImTryin.StateMachineLanguage.Transition.DomainClassId);
    //            }
    //        }
    //    }
    //}
}