﻿<?xml version="1.0" encoding="utf-8"?>
<Dsl dslVersion="1.0.0.0" Id="ff3363a9-7609-4114-8c9d-6ff00dafd0b3" Description="Description for ImTryin.StateMachineLanguage.StateMachineLanguage" Name="StateMachineLanguage" DisplayName="StateMachineLanguage" Namespace="ImTryin.StateMachineLanguage" ProductName="StateMachineLanguage" CompanyName="ImTryin" PackageGuid="53c429d9-17f5-41c0-b743-fd2c5afed160" PackageNamespace="ImTryin.StateMachineLanguage" xmlns="http://schemas.microsoft.com/VisualStudio/2005/DslTools/DslDefinitionModel">
  <Classes>
    <DomainClass Id="7d966368-5f07-492e-8232-3266719106bd" Description="The root in which all other elements are embedded. Appears as a diagram." Name="StateMachine" DisplayName="State Machine" Namespace="ImTryin.StateMachineLanguage">
      <Properties>
        <DomainProperty Id="6dc63235-50ac-4970-9e6c-373605048c76" Description="Description for ImTryin.StateMachineLanguage.StateMachine.Namespace" Name="Namespace" DisplayName="Namespace">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="4065ea34-d8c3-4279-a615-edde4065de8c" Description="Description for ImTryin.StateMachineLanguage.StateMachine.Class Name" Name="ClassName" DisplayName="Class Name">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <ElementMergeDirectives>
        <ElementMergeDirective>
          <Notes>Creates an embedding link when an element is dropped onto a model. </Notes>
          <Index>
            <DomainClassMoniker Name="BaseState" />
          </Index>
          <LinkCreationPaths>
            <DomainPath>StateMachineHasStates.States</DomainPath>
          </LinkCreationPaths>
        </ElementMergeDirective>
      </ElementMergeDirectives>
    </DomainClass>
    <DomainClass Id="dfa8ff9a-07c7-4115-b008-b9016f1469a8" Description="Elements embedded in the model. Appear as boxes on the diagram." Name="BaseState" DisplayName="Base State" InheritanceModifier="Abstract" Namespace="ImTryin.StateMachineLanguage">
      <Properties>
        <DomainProperty Id="f18428e0-4c10-4a4a-8ee5-3012146dd284" Description="Description for ImTryin.StateMachineLanguage.BaseState.Name" Name="Name" DisplayName="Name" DefaultValue="" IsElementName="true">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="1a7f004a-5f3b-4b54-b28d-ca21b85a848b" Description="Description for ImTryin.StateMachineLanguage.InitialState" Name="InitialState" DisplayName="Initial State" Namespace="ImTryin.StateMachineLanguage">
      <BaseClass>
        <DomainClassMoniker Name="BaseState" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="f39a873d-7b16-4c03-918a-80380263e094" Description="Description for ImTryin.StateMachineLanguage.InitialState.Initial Activity" Name="InitialActivity" DisplayName="Initial Activity">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="e12ce112-aa90-4895-ac9d-dfae0064d316" Description="Description for ImTryin.StateMachineLanguage.State" Name="State" DisplayName="State" Namespace="ImTryin.StateMachineLanguage">
      <BaseClass>
        <DomainClassMoniker Name="BaseState" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="0cf154e3-7108-46e8-aa41-2ad3dbb30ec7" Description="Description for ImTryin.StateMachineLanguage.State.Entry Activity" Name="EntryActivity" DisplayName="Entry Activity">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="d026b146-3f87-4200-86a5-8e7a2d2ed7dc" Description="Description for ImTryin.StateMachineLanguage.State.Exit Activity" Name="ExitActivity" DisplayName="Exit Activity">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
    <DomainClass Id="a014d120-35bc-46c4-879e-ad226d21250b" Description="Description for ImTryin.StateMachineLanguage.FinalState" Name="FinalState" DisplayName="Final State" Namespace="ImTryin.StateMachineLanguage">
      <BaseClass>
        <DomainClassMoniker Name="BaseState" />
      </BaseClass>
      <Properties>
        <DomainProperty Id="d499ad39-051a-4500-8f6b-374a4fe912ea" Description="Description for ImTryin.StateMachineLanguage.FinalState.Final Activity" Name="FinalActivity" DisplayName="Final Activity">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
    </DomainClass>
  </Classes>
  <Relationships>
    <DomainRelationship Id="ca1954c8-89fd-4ec9-8a7c-2c2aaefdab03" Description="Embedding relationship between the Model and Elements" Name="StateMachineHasStates" DisplayName="State Machine Has States" Namespace="ImTryin.StateMachineLanguage" IsEmbedding="true">
      <Source>
        <DomainRole Id="7f508b6e-76e0-47bf-93c1-f9c7a1155409" Description="" Name="StateMachine" DisplayName="State Machine" PropertyName="States" PropertyDisplayName="States">
          <RolePlayer>
            <DomainClassMoniker Name="StateMachine" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="afa5c476-f882-4b94-9598-b1031064c9f2" Description="" Name="Element" DisplayName="Element" PropertyName="StateMachine" Multiplicity="One" PropagatesDelete="true" PropertyDisplayName="State Machine">
          <RolePlayer>
            <DomainClassMoniker Name="BaseState" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
    <DomainRelationship Id="4d9e3e8b-3f5b-4593-8e8b-afe838c4ccf0" Description="Reference relationship between Elements." Name="Transition" DisplayName="Transition" Namespace="ImTryin.StateMachineLanguage" AllowsDuplicates="true">
      <Properties>
        <DomainProperty Id="c3a66b40-c92d-47fa-ab02-d7bc90639c09" Description="Description for ImTryin.StateMachineLanguage.Transition.Trigger" Name="Trigger" DisplayName="Trigger">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="cab51c05-9879-4aac-aa48-6243d779cea8" Description="Description for ImTryin.StateMachineLanguage.Transition.Guard" Name="Guard" DisplayName="Guard">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="04cfb272-ea75-4361-9fdd-8124a17ee616" Description="Description for ImTryin.StateMachineLanguage.Transition.Activity" Name="Activity" DisplayName="Activity">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
        <DomainProperty Id="5bd4495c-124a-434f-8de1-8bf619be8fbf" Description="Description for ImTryin.StateMachineLanguage.Transition.Notation" Name="Notation" DisplayName="Notation" Kind="CustomStorage" IsBrowsable="false">
          <Type>
            <ExternalTypeMoniker Name="/System/String" />
          </Type>
        </DomainProperty>
      </Properties>
      <Source>
        <DomainRole Id="f278780f-802f-4470-a16b-a4c6f9ce45a0" Description="Description for ImTryin.StateMachineLanguage.ExampleRelationship.Target" Name="Source" DisplayName="Source" PropertyName="Targets" PropertyDisplayName="Targets">
          <RolePlayer>
            <DomainClassMoniker Name="BaseState" />
          </RolePlayer>
        </DomainRole>
      </Source>
      <Target>
        <DomainRole Id="6e90c9f0-4a51-40c7-b929-e118ab488f74" Description="Description for ImTryin.StateMachineLanguage.ExampleRelationship.Source" Name="Target" DisplayName="Target" PropertyName="Sources" PropertyDisplayName="Sources">
          <RolePlayer>
            <DomainClassMoniker Name="BaseState" />
          </RolePlayer>
        </DomainRole>
      </Target>
    </DomainRelationship>
  </Relationships>
  <Types>
    <ExternalType Name="DateTime" Namespace="System" />
    <ExternalType Name="String" Namespace="System" />
    <ExternalType Name="Int16" Namespace="System" />
    <ExternalType Name="Int32" Namespace="System" />
    <ExternalType Name="Int64" Namespace="System" />
    <ExternalType Name="UInt16" Namespace="System" />
    <ExternalType Name="UInt32" Namespace="System" />
    <ExternalType Name="UInt64" Namespace="System" />
    <ExternalType Name="SByte" Namespace="System" />
    <ExternalType Name="Byte" Namespace="System" />
    <ExternalType Name="Double" Namespace="System" />
    <ExternalType Name="Single" Namespace="System" />
    <ExternalType Name="Guid" Namespace="System" />
    <ExternalType Name="Boolean" Namespace="System" />
    <ExternalType Name="Char" Namespace="System" />
  </Types>
  <Shapes>
    <ImageShape Id="38bba2d1-059e-4cb6-b558-5307c620b0da" Description="Description for ImTryin.StateMachineLanguage.InitialStateShape" Name="InitialStateShape" DisplayName="Initial State Shape" Namespace="ImTryin.StateMachineLanguage" FixedTooltipText="Initial State Shape" InitialHeight="1" Image="Resources\Start.emf" />
    <GeometryShape Id="4f40ed40-c9fd-4a2e-9cc4-e9813a60fa4a" Description="Description for ImTryin.StateMachineLanguage.StateShape" Name="StateShape" DisplayName="State Shape" Namespace="ImTryin.StateMachineLanguage" FixedTooltipText="State Shape" FillColor="MintCream" InitialHeight="1" FillGradientMode="Vertical" Geometry="RoundedRectangle">
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0">
        <IconDecorator Name="StateIconDecorator" DisplayName="State Icon Decorator" DefaultIcon="Resources\StateIcon.bmp" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.2" VerticalOffset="0">
        <TextDecorator Name="NameDecorator" DisplayName="Name Decorator" DefaultText="NameDecorator" FontStyle="Bold" FontSize="10" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.2" VerticalOffset="0.15">
        <TextDecorator Name="StateDecorator" DisplayName="State" DefaultText="State" FontStyle="Italic" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0.4">
        <TextDecorator Name="EntryDescriptionDecorator" DisplayName="Entry Description Decorator" DefaultText="Entry activity:" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0" VerticalOffset="0.6">
        <TextDecorator Name="ExitDescriptionDecorator" DisplayName="Exit Description Decorator" DefaultText="Exit activity:" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.8" VerticalOffset="0.4">
        <TextDecorator Name="EntryActivityDecorator" DisplayName="Entry Activity Decorator" DefaultText="" />
      </ShapeHasDecorators>
      <ShapeHasDecorators Position="InnerTopLeft" HorizontalOffset="0.8" VerticalOffset="0.6">
        <TextDecorator Name="ExitActivityDecorator" DisplayName="Exit Activity Decorator" DefaultText="" />
      </ShapeHasDecorators>
    </GeometryShape>
    <ImageShape Id="88895fd0-b94e-48c6-af4b-3c30e3a89f3c" Description="Description for ImTryin.StateMachineLanguage.FinalStateShape" Name="FinalStateShape" DisplayName="Final State Shape" Namespace="ImTryin.StateMachineLanguage" FixedTooltipText="Final State Shape" InitialHeight="1" Image="Resources\Stop.emf" />
  </Shapes>
  <Connectors>
    <Connector Id="d796b679-7dd1-47e3-bb2d-a4293ae6ea05" Description="Description for ImTryin.StateMachineLanguage.TransitionConnector" Name="TransitionConnector" DisplayName="Transition Connector" Namespace="ImTryin.StateMachineLanguage" FixedTooltipText="Transition Connector" TargetEndStyle="EmptyArrow" Thickness="0.015625">
      <ConnectorHasDecorators Position="SourceTop" OffsetFromShape="0" OffsetFromLine="0">
        <TextDecorator Name="NotationDecorator" DisplayName="Notation Decorator" DefaultText="NotationDecorator" />
      </ConnectorHasDecorators>
    </Connector>
  </Connectors>
  <XmlSerializationBehavior Name="StateMachineLanguageSerializationBehavior" Namespace="ImTryin.StateMachineLanguage">
    <ClassData>
      <XmlClassData TypeName="StateMachine" MonikerAttributeName="" SerializeId="true" MonikerElementName="stateMachineMoniker" ElementName="stateMachine" MonikerTypeName="StateMachineMoniker">
        <DomainClassMoniker Name="StateMachine" />
        <ElementData>
          <XmlRelationshipData RoleElementName="states">
            <DomainRelationshipMoniker Name="StateMachineHasStates" />
          </XmlRelationshipData>
          <XmlPropertyData XmlName="namespace">
            <DomainPropertyMoniker Name="StateMachine/Namespace" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="className">
            <DomainPropertyMoniker Name="StateMachine/ClassName" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="BaseState" MonikerAttributeName="name" MonikerElementName="baseStateMoniker" ElementName="baseState" MonikerTypeName="BaseStateMoniker">
        <DomainClassMoniker Name="BaseState" />
        <ElementData>
          <XmlPropertyData XmlName="name" IsMonikerKey="true">
            <DomainPropertyMoniker Name="BaseState/Name" />
          </XmlPropertyData>
          <XmlRelationshipData UseFullForm="true" RoleElementName="targets">
            <DomainRelationshipMoniker Name="Transition" />
          </XmlRelationshipData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="StateMachineHasStates" MonikerAttributeName="" MonikerElementName="stateMachineHasStatesMoniker" ElementName="stateMachineHasStates" MonikerTypeName="StateMachineHasStatesMoniker">
        <DomainRelationshipMoniker Name="StateMachineHasStates" />
      </XmlClassData>
      <XmlClassData TypeName="Transition" MonikerAttributeName="" SerializeId="true" MonikerElementName="transitionMoniker" ElementName="transition" MonikerTypeName="TransitionMoniker">
        <DomainRelationshipMoniker Name="Transition" />
        <ElementData>
          <XmlPropertyData XmlName="trigger">
            <DomainPropertyMoniker Name="Transition/Trigger" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="guard">
            <DomainPropertyMoniker Name="Transition/Guard" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="activity">
            <DomainPropertyMoniker Name="Transition/Activity" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="notation">
            <DomainPropertyMoniker Name="Transition/Notation" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="StateMachineLanguageDiagram" MonikerAttributeName="" MonikerElementName="minimalLanguageDiagramMoniker" ElementName="minimalLanguageDiagram" MonikerTypeName="StateMachineLanguageDiagramMoniker">
        <DiagramMoniker Name="StateMachineLanguageDiagram" />
      </XmlClassData>
      <XmlClassData TypeName="InitialState" MonikerAttributeName="" MonikerElementName="initialStateMoniker" ElementName="initialState" MonikerTypeName="InitialStateMoniker">
        <DomainClassMoniker Name="InitialState" />
        <ElementData>
          <XmlPropertyData XmlName="initialActivity">
            <DomainPropertyMoniker Name="InitialState/InitialActivity" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="State" MonikerAttributeName="" MonikerElementName="stateMoniker" ElementName="state" MonikerTypeName="StateMoniker">
        <DomainClassMoniker Name="State" />
        <ElementData>
          <XmlPropertyData XmlName="entryActivity">
            <DomainPropertyMoniker Name="State/EntryActivity" />
          </XmlPropertyData>
          <XmlPropertyData XmlName="exitActivity">
            <DomainPropertyMoniker Name="State/ExitActivity" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="FinalState" MonikerAttributeName="" MonikerElementName="finalStateMoniker" ElementName="finalState" MonikerTypeName="FinalStateMoniker">
        <DomainClassMoniker Name="FinalState" />
        <ElementData>
          <XmlPropertyData XmlName="finalActivity">
            <DomainPropertyMoniker Name="FinalState/FinalActivity" />
          </XmlPropertyData>
        </ElementData>
      </XmlClassData>
      <XmlClassData TypeName="TransitionConnector" MonikerAttributeName="" MonikerElementName="transitionConnectorMoniker" ElementName="transitionConnector" MonikerTypeName="TransitionConnectorMoniker">
        <ConnectorMoniker Name="TransitionConnector" />
      </XmlClassData>
      <XmlClassData TypeName="InitialStateShape" MonikerAttributeName="" MonikerElementName="initialStateShapeMoniker" ElementName="initialStateShape" MonikerTypeName="InitialStateShapeMoniker">
        <ImageShapeMoniker Name="InitialStateShape" />
      </XmlClassData>
      <XmlClassData TypeName="StateShape" MonikerAttributeName="" MonikerElementName="stateShapeMoniker" ElementName="stateShape" MonikerTypeName="StateShapeMoniker">
        <GeometryShapeMoniker Name="StateShape" />
      </XmlClassData>
      <XmlClassData TypeName="FinalStateShape" MonikerAttributeName="" MonikerElementName="finalStateShapeMoniker" ElementName="finalStateShape" MonikerTypeName="FinalStateShapeMoniker">
        <ImageShapeMoniker Name="FinalStateShape" />
      </XmlClassData>
    </ClassData>
  </XmlSerializationBehavior>
  <ExplorerBehavior Name="StateMachineLanguageExplorer" />
  <ConnectionBuilders>
    <ConnectionBuilder Name="TransitionBuilder">
      <Notes>Provides for the creation of an ExampleRelationship by pointing at two ExampleElements.</Notes>
      <LinkConnectDirective>
        <DomainRelationshipMoniker Name="Transition" />
        <SourceDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="InitialState" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="State" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </SourceDirectives>
        <TargetDirectives>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="State" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
          <RolePlayerConnectDirective>
            <AcceptingClass>
              <DomainClassMoniker Name="FinalState" />
            </AcceptingClass>
          </RolePlayerConnectDirective>
        </TargetDirectives>
      </LinkConnectDirective>
    </ConnectionBuilder>
  </ConnectionBuilders>
  <Diagram Id="108ed569-3fe1-4753-9b2a-47c19e4fcf52" Description="Description for ImTryin.StateMachineLanguage.StateMachineLanguageDiagram" Name="StateMachineLanguageDiagram" DisplayName="Minimal Language Diagram" Namespace="ImTryin.StateMachineLanguage">
    <Class>
      <DomainClassMoniker Name="StateMachine" />
    </Class>
    <ShapeMaps>
      <ShapeMap>
        <DomainClassMoniker Name="InitialState" />
        <ParentElementPath>
          <DomainPath>StateMachineHasStates.StateMachine/!StateMachine</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="InitialStateShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="State" />
        <ParentElementPath>
          <DomainPath>StateMachineHasStates.StateMachine/!StateMachine</DomainPath>
        </ParentElementPath>
        <DecoratorMap>
          <TextDecoratorMoniker Name="StateShape/NameDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="BaseState/Name" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="StateShape/EntryActivityDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="State/EntryActivity" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <DecoratorMap>
          <TextDecoratorMoniker Name="StateShape/ExitActivityDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="State/ExitActivity" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
        <GeometryShapeMoniker Name="StateShape" />
      </ShapeMap>
      <ShapeMap>
        <DomainClassMoniker Name="FinalState" />
        <ParentElementPath>
          <DomainPath>StateMachineHasStates.StateMachine/!StateMachine</DomainPath>
        </ParentElementPath>
        <ImageShapeMoniker Name="FinalStateShape" />
      </ShapeMap>
    </ShapeMaps>
    <ConnectorMaps>
      <ConnectorMap>
        <ConnectorMoniker Name="TransitionConnector" />
        <DomainRelationshipMoniker Name="Transition" />
        <DecoratorMap>
          <TextDecoratorMoniker Name="TransitionConnector/NotationDecorator" />
          <PropertyDisplayed>
            <PropertyPath>
              <DomainPropertyMoniker Name="Transition/Notation" />
            </PropertyPath>
          </PropertyDisplayed>
        </DecoratorMap>
      </ConnectorMap>
    </ConnectorMaps>
  </Diagram>
  <Designer FileExtension="statemachine" EditorGuid="d99f4c35-8232-4b01-a084-480c15a05710">
    <RootClass>
      <DomainClassMoniker Name="StateMachine" />
    </RootClass>
    <XmlSerializationDefinition CustomPostLoad="false">
      <XmlSerializationBehaviorMoniker Name="StateMachineLanguageSerializationBehavior" />
    </XmlSerializationDefinition>
    <ToolboxTab TabText="StateMachineLanguage">
      <ElementTool Name="InitialStateTool" ToolboxIcon="Resources\StartTool.bmp" Caption="Initial State" Tooltip="Initial State" HelpKeyword="InitialStateTool">
        <DomainClassMoniker Name="InitialState" />
      </ElementTool>
      <ElementTool Name="StateTool" ToolboxIcon="Resources\TaskTool.bmp" Caption="State" Tooltip="State" HelpKeyword="StateTool">
        <DomainClassMoniker Name="State" />
      </ElementTool>
      <ElementTool Name="FinalStateTool" ToolboxIcon="Resources\EndTool.bmp" Caption="Final State" Tooltip="Final State" HelpKeyword="FinalStateTool">
        <DomainClassMoniker Name="FinalState" />
      </ElementTool>
      <ConnectionTool Name="TransitionTool" ToolboxIcon="Resources\FlowTool.bmp" Caption="Transition" Tooltip="Transition" HelpKeyword="TransitionTool">
        <ConnectionBuilderMoniker Name="StateMachineLanguage/TransitionBuilder" />
      </ConnectionTool>
    </ToolboxTab>
    <Validation UsesMenu="true" UsesOpen="true" UsesSave="true" UsesLoad="false" />
    <DiagramMoniker Name="StateMachineLanguageDiagram" />
  </Designer>
  <Explorer ExplorerGuid="6e967b1e-075c-4c63-a1db-092955882d19" Title="StateMachineLanguage Explorer">
    <ExplorerBehaviorMoniker Name="StateMachineLanguage/StateMachineLanguageExplorer" />
  </Explorer>
</Dsl>